services:
  navidrome:
    networks:
      - traefik
    image: deluan/navidrome:latest
    user: 1000:1000 # should be owner of volumes
    ports:
      - "4533:4533"
    restart: unless-stopped
    volumes:
      - "/home/null/shares/disk1/music:/music:ro"
      - "/srv/navidrome:/data"
      
    labels:
      - "traefik.enable=true"
      - "traefik.http.routers.drome.entrypoints=websecure"
      - "traefik.http.routers.drome.rule=Host(`drome.knast.cc`)"
      - "traefik.http.routers.drome.tls.certresolver=letsencr"
      - "traefik.http.services.drome.loadbalancer.server.port=4533"

networks:
  traefik:
    external: true
    # /home/null/shares/disk1/music
